MavenPublishPlugin (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.api.publish.maven.plugins

## Class MavenPublishPlugin

- java.lang.Object
- - org.gradle.api.publish.maven.plugins.MavenPublishPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public class MavenPublishPlugin
      extends Object
      implements Plugin<Project>

  Adds the ability to publish in the Maven format to Maven repositories.
  Since:
    1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PUBLISH_LOCAL_LIFECYCLE_TASK_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MavenPublishPlugin​(org.gradle.internal.instantiation.InstantiatorFactory instantiatorFactory, ObjectFactory objectFactory, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.internal.attributes.ImmutableAttributesFactory immutableAttributesFactory, ProviderFactory providerFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUBLISH_LOCAL_LIFECYCLE_TASK_NAME

          public static final String PUBLISH_LOCAL_LIFECYCLE_TASK_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MavenPublishPlugin

          @Inject
          public MavenPublishPlugin​(org.gradle.internal.instantiation.InstantiatorFactory instantiatorFactory,
                                    ObjectFactory objectFactory,
                                    org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider,
                                    org.gradle.api.internal.file.FileResolver fileResolver,
                                    org.gradle.api.internal.attributes.ImmutableAttributesFactory immutableAttributesFactory,
                                    ProviderFactory providerFactory)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object